REST API
Infra APISandbox

List Sandbox template builds

GET/api/v1/sandbox-templates/{template_id}/builds

Authorization

BearerAuth
AuthorizationBearer <token>

Hydra JWT Bearer token

In: header

Path Parameters

template_id*string

Sandbox template ID

Query Parameters

limit?integer

Page size (default 50, maximum 100)

offset?integer

Offset (default 0)

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/sandbox-templates/string/builds"
{  "builds": [    {      "artifact_size_bytes": 0,      "base_build_id": "string",      "completed_at": "string",      "created_at": "string",      "error_code": "string",      "execution_completed_at": "string",      "exit_code": 0,      "id": "string",      "logs_truncated": true,      "organization_id": "string",      "recipe": {        "packages": {          "apk": [            "string"          ],          "apt": [            "string"          ],          "cargo": [            "string"          ],          "gem": [            "string"          ],          "go": [            "string"          ],          "npm": [            "string"          ],          "pip": [            "string"          ]        },        "ports": [          {            "name": "string",            "port": 0,            "protocol": "http"          }        ],        "resources": {          "memory_mb": 0,          "vcpu": 0        },        "steps": [          {            "run": "string"          }        ]      },      "recipe_hash": "string",      "rootfs_sha256": "string",      "started_at": "string",      "state_version": 0,      "status": "queued",      "template_id": "string",      "updated_at": "string"    }  ],  "limit": 0,  "offset": 0}
{  "error": "string",  "message": "string"}
{  "error": "string",  "message": "string"}